Construct a new SplFileInfo object

- « SplFileInfo

- SplFileInfo::getATime »

- PHP Manual
- SplFileInfo
- Construct a new SplFileInfo object

# SplFileInfo::__construct

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

SplFileInfo::__construct — Construct a new SplFileInfo object

### Description

public SplFileInfo::__construct(string `$filename`)

Creates a new SplFileInfo object for the file_name specified. The file does not need to exist, or be readable.

### Parameters

`filename`

  Path to the file.

### Examples

Example #1 SplFileInfo::__construct() example

    <?php
    $info = new SplFileInfo('example.php');
    if ($info->isFile()) {
        echo $info->getRealPath();
    }
    ?>